# Uses of Interface
org.springframework.web.servlet.resource.VersionPathStrategy

Packages that use VersionPathStrategy
Package
Description
org.springframework.web.servlet.resource
Support classes for serving static resources.

## Uses of VersionPathStrategy in org.springframework.web.servlet.resource

Subinterfaces of VersionPathStrategy in org.springframework.web.servlet.resource
Modifier and Type
Interface
Description
`interface`
`VersionStrategy`
An extension of `VersionPathStrategy` that adds a method to determine the actual version of a `Resource`.
Classes in org.springframework.web.servlet.resource that implement VersionPathStrategy
Modifier and Type
Class
Description
`class`
`AbstractVersionStrategy`
Abstract base class for `VersionStrategy` implementations.
`protected static class`
`AbstractVersionStrategy.FileNameVersionPathStrategy`
File name-based `VersionPathStrategy`, for example, `"path/foo-{version}.css"`.
`protected static class`
`AbstractVersionStrategy.PrefixVersionPathStrategy`
A prefix-based `VersionPathStrategy`, for example, `"{version}/path/foo.js"`.
`class`
`ContentVersionStrategy`
A `VersionStrategy` that calculates a Hex MD5 hash from the content of the resource and appends it to the file name, for example, `"styles/main-e36d2e05253c6c7085a91522ce43a0b4.css"`.
`class`
`FixedVersionStrategy`
A `VersionStrategy` that relies on a fixed version applied as a request path prefix, for example, reduced SHA, version name, release date, etc.
Methods in org.springframework.web.servlet.resource that return VersionPathStrategy
Modifier and Type
Method
Description
`VersionPathStrategy`
AbstractVersionStrategy.`getVersionPathStrategy()`
Constructors in org.springframework.web.servlet.resource with parameters of type VersionPathStrategy
Modifier
Constructor
Description
`protected`
`AbstractVersionStrategy(VersionPathStrategy pathStrategy)`